Bug 237984

Summary: print/dot2tex: Update to 2.11.3
Product: Ports & Packages Reporter: Greg V <greg>
Component: Individual Port(s)Assignee: TAKATSU Tomonari <tota>
Status: Closed FIXED    
Severity: Affects Only Me CC: koobs, python
Priority: --- Keywords: needs-qa
Version: LatestFlags: bugzilla: maintainer-feedback? (tota)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
dot2tex.patch
none
dot2tex.patch v2
none
A patch to fix an error "Package names are not unique"
none
dot2tex-issue-237984.patch
koobs: maintainer-approval+
version update only none

Description Greg V 2019-05-19 18:33:27 UTC
Created attachment 204469 [details]
dot2tex.patch
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-20 05:06:23 UTC
Has Python 2 support been removed?
Comment 2 Greg V 2019-05-20 10:16:14 UTC
(In reply to Kubilay Kocak from comment #1)

No, but does anyone need this to use Python 2? PYTHON_DEFAULT recently became 3.6 (finally!) so I'd like to remove python2.7 from my system.

I can flavorize of course, but that involves new package names and stuff..
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-20 22:20:12 UTC
(In reply to Greg V from comment #2)

USES=python is for declarative, not for imperative use, and must declare all/any versions a package supports. This allows, rather than restricts a user to select what version they want, for packages that support that version.

This has no bearing on whether you (or anyone else) can keep Python X on their system or not, in fact, it helps achieve that, by not restrictive Python choices unnecessarily.

If dot2tex has supported Python 3 up to this point, its USES=python:<version-spec> up until now has too been unecessarily restricted and incorrectly used. Is this the case or was Python 3 support only added in 2.11.3, the version submitted here?
Comment 4 Greg V 2019-05-21 20:27:47 UTC
Created attachment 204520 [details]
dot2tex.patch v2

(In reply to Kubilay Kocak from comment #3)
Yeah it's supported py3 for a long time.

Sure, let's go with python without any version, as that accomplishes the goal (I was too slow to realize that…)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-22 09:45:56 UTC
(In reply to Greg V from comment #4)

All good mate. I'm going to make the USES=python change (allowing 2 *and* 3) along with adding a test target if I can (for good QA), as it is a blanket candidate not requiring approval.

This also allows us to MFH that change, leaving the update to the maintainer
Comment 6 TAKATSU Tomonari freebsd_committer 2019-05-22 10:59:02 UTC
Hmm
dot2tex.patch v2 occurs following error.


$ make
===>  License MIT accepted by the user
===>   dot2tex-2.11.3 depends on file: /usr/local/sbin/pkg - found
(snip)
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
Error: Package names are not unique with flavors:
py36: dot2tex-2.11.3
py27: dot2tex-2.11.3
Error: maybe use <flavor>_PKGNAMEPREFIX/SUFFIX.
*** Error code 1

Stop.
make: stopped in /usr/ports/print/dot2tex
Comment 7 Greg V 2019-05-22 16:29:22 UTC
(In reply to TAKATSU Tomonari from comment #6)
Yeah, I saw that as well..

Should it be PYTHON=noflavors?
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-23 12:08:54 UTC
(In reply to Greg V from comment #7)

I've fixed that in my WIP, port is missing PYTHONPGNAMEPREFIX, I'll attach something here shortly
Comment 9 Antoine Brodin freebsd_committer 2019-05-23 12:13:04 UTC
(In reply to Kubilay Kocak from comment #8)
I think noflavors would be better than PKGNAMEPREFIX,  changing PKGBASE breaks upgrade for end users.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-23 12:20:26 UTC
(In reply to Antoine Brodin from comment #9)

-O on noflavors, it should be used very sparingly, port should have had PKGNAMEPREFIX (or SUFFIX) from the start, port has zero dependents, and switching ports/packages is trivial, particularly if its in MOVED
Comment 11 TAKATSU Tomonari freebsd_committer 2019-05-25 16:45:54 UTC
Created attachment 204604 [details]
A patch to fix an error "Package names are not unique"
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-31 12:53:12 UTC
(In reply to TAKATSU Tomonari from comment #11)

My Wip includes a few more changes/additions. I'll attach it shortly
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-31 13:40:30 UTC
(In reply to Kubilay Kocak from comment #12)

Forgot, I need to run through the new test target that I added, which needs latex, which is huge. I'll include the updated patch tomorrow when that is complete and QA is verified
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-01 08:55:55 UTC
Created attachment 204751 [details]
dot2tex-issue-237984.patch

print/dot2tex: Fix incorrect Python version spec

dot2tex supports Python 2 and 3. This change removes the unecessary version
spec restriction to 2.7.

While I'm here:

  - Add PKGNAMEPREFIX (unique package names per flavor)
  - Enable USE_PYTHON=concurrent, each package flavor installs scripts in
    common locations
  - Add TEST_DEPENDS/test target
  - Add python to CATEGORIES
  - Pet portlint (Make file sort/group order)
  
portlint: OK (looks fine.)
testport: OK (poudriere: 12amd64-py35,py27)
maketest: OK* (Ran 54 tests in 33.863s FAILED (failures=3))

* Note: Previous test suite pass rate unknown, old latex (texlive 2015)
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-01 06:53:51 UTC
Comment on attachment 204751 [details]
dot2tex-issue-237984.patch

Approved by: portrmgr (maintainer timeout: 1 month)
Comment 16 commit-hook freebsd_committer 2019-07-01 06:57:13 UTC
A commit references this bug:

Author: koobs
Date: Mon Jul  1 06:56:30 UTC 2019
New revision: 505544
URL: https://svnweb.freebsd.org/changeset/ports/505544

Log:
  print/dot2tex: Fix incorrect Python version spec

  dot2tex supports Python 2 and 3. This change removes the unecessary version
  spec restriction to 2.7.

  While I'm here:

    - Add PKGNAMEPREFIX (unique package names per flavor)
    - Enable USE_PYTHON=concurrent, each package flavor installs scripts in
      common locations
    - Add TEST_DEPENDS/test target
    - Add python to CATEGORIES
    - Pet portlint (Make file sort/group order)

  PR:		237984
  Approved by:	portmgr (maintainer timeout: 1 month)
  MFH:		2019Q2 (blanket(s): ports (& Python) compliance)

Changes:
  head/print/dot2tex/Makefile
Comment 17 commit-hook freebsd_committer 2019-07-01 07:14:35 UTC
A commit references this bug:

Author: koobs
Date: Mon Jul  1 07:13:53 UTC 2019
New revision: 505547
URL: https://svnweb.freebsd.org/changeset/ports/505547

Log:
  MFH: r505544 print/dot2tex: Fix incorrect Python version spec

  dot2tex supports Python 2 and 3. This change removes the unecessary version
  spec restriction to 2.7.

  While I'm here:

    - Add PKGNAMEPREFIX (unique package names per flavor)
    - Enable USE_PYTHON=concurrent, each package flavor installs scripts in
      common locations
    - Add TEST_DEPENDS/test target
    - Add python to CATEGORIES
    - Pet portlint (Make file sort/group order)

  PR:		237984
  Approved by:	portmgr (maintainer timeout: 1 month)

  Approved by:	ports-secteam (blanket(s): ports (& python) compliance)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/print/dot2tex/Makefile
Comment 18 Greg V 2019-07-02 23:34:39 UTC
Created attachment 205490 [details]
version update only
Comment 19 commit-hook freebsd_committer 2019-07-03 22:51:45 UTC
A commit references this bug:

Author: tota
Date: Wed Jul  3 22:50:45 UTC 2019
New revision: 505797
URL: https://svnweb.freebsd.org/changeset/ports/505797

Log:
  - Update to 2.11.3

  PR:		237984
  Submitted by:	Greg V <greg_AT_unrelenting_DOT_technology>

Changes:
  head/print/dot2tex/Makefile
  head/print/dot2tex/distinfo
Comment 20 TAKATSU Tomonari freebsd_committer 2019-07-03 22:56:26 UTC
Committed.
Thanks!